import request from '@/utils/request'

// 查询用户列表列表
export function listUsersWorker(query) {
  return request({
    url: '/system/UsersWorker/list',
    method: 'get',
    params: query
  })
}

// 查询用户列表详细
export function getUsersWorker(id) {
  return request({
    url: '/system/UsersWorker/' + id,
    method: 'get'
  })
}

// 新增用户列表
export function addUsersWorker(data) {
  return request({
    url: '/system/UsersWorker',
    method: 'post',
    data: data
  })
}

// 修改用户列表
export function updateUsersWorker(data) {
  return request({
    url: '/system/UsersWorker',
    method: 'put',
    data: data
  })
}

// 删除用户列表
export function delUsersWorker(id) {
  return request({
    url: '/system/UsersWorker/' + id,
    method: 'delete'
  })
}
